Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Recycling_Strategy< SVC_HANDLER > Class Template Reference

Defines the interface (and default implementation) for specifying a recycling strategy for a SVC_HANDLER. More...

`#include <Strategies_T.h>`

List of all members.

## Public Types
typedef ACE_TYPENAME SVC_HANDLER::addr_type | addr_type
typedef SVC_HANDLER | handler_type
typedef ACE_TYPENAME SVC_HANDLER::stream_type | stream_type
## Public Methods
virtual | ~ACE_Recycling_Strategy (void)
| Virtual Destructor.
virtual int | assign_recycler (SVC_HANDLER *svc_handler, ACE_Connection_Recycling_Strategy *recycler, const void *recycling_act)
virtual int | prepare_for_recycling (SVC_HANDLER *svc_handler)
| This allows us to prepare the svc_handler for recycling.

## Detailed Description

### template<class SVC_HANDLER>
class ACE_Recycling_Strategy< SVC_HANDLER >

Defines the interface (and default implementation) for specifying a recycling strategy for a SVC_HANDLER.

Acts as a consular to the Svc_Handler, preparing it for the tough times ahead when the Svc_Handler will be recycled.

## Member Typedef Documentation

template<class SVC_HANDLER>
typedef ACE_TYPENAME SVC_HANDLER::addr_type ACE_Recycling_Strategy< SVC_HANDLER >::addr_type

template<class SVC_HANDLER>
typedef SVC_HANDLER ACE_Recycling_Strategy< SVC_HANDLER >::handler_type

template<class SVC_HANDLER>
typedef ACE_TYPENAME SVC_HANDLER::stream_type ACE_Recycling_Strategy< SVC_HANDLER >::stream_type

## Constructor & Destructor Documentation

template<class SVC_HANDLER>
ASYS_INLINE ACE_Recycling_Strategy< SVC_HANDLER >::~ACE_Recycling_Strategy | ( | void |  | ) | `[virtual]`

| Virtual Destructor.

## Member Function Documentation

template<class SVC_HANDLER>
ASYS_INLINE int ACE_Recycling_Strategy< SVC_HANDLER >::assign_recycler | ( | SVC_HANDLER * | svc_handler,
|  | ACE_Connection_Recycling_Strategy * | recycler,
|  | const void * | recycling_act
| ) | `[virtual]`

| Tell the Svc_Handler something about the recycler, so that it can reach the recycler when necessary.

template<class SVC_HANDLER>
ASYS_INLINE int ACE_Recycling_Strategy< SVC_HANDLER >::prepare_for_recycling | ( | SVC_HANDLER * | svc_handler | ) | `[virtual]`

| This allows us to prepare the svc_handler for recycling.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Strategies_T.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Strategies_T.i